org.jfree.xml.writer

## Interface XmlWriteHandler

All Known Implementing Classes:
  AbstractXmlWriteHandler, BasicStrokeWriteHandler, ColorWriteHandler, FontWriteHandler, GenericWriteHandler, GradientPaintWriteHandler, InsetsWriteHandler, ListWriteHandler, Point2DWriteHandler, Rectangle2DWriteHandler, RenderingHintsWriteHandler

    public interface XmlWriteHandler

The interface that must be supported by all XML write handlers.

### Method Summary

Methods
`RootXmlWriteHandler` `getRootHandler()` Returns the root handler for this write handler.
`void` `setRootHandler(RootXmlWriteHandler rootHandler)` Sets the root handler.
`void` `write(java.lang.String tagName, java.lang.Object object, XMLWriter writer, java.lang.String mPlexAttribute, java.lang.String mPlexValue)` Performs the writing of a single object.

### Method Detail

#### getRootHandler

    RootXmlWriteHandler getRootHandler()

Returns the root handler for this write handler. The root handler will be used to resolve the child handlers.

Returns:
  the root handler.

#### setRootHandler

    void setRootHandler(RootXmlWriteHandler rootHandler)

Sets the root handler.

Parameters:
  `rootHandler` - the root handler.

#### write

    void write(java.lang.String tagName,
             java.lang.Object object,
             XMLWriter writer,
             java.lang.String mPlexAttribute,
             java.lang.String mPlexValue)
               throws java.io.IOException,
                      XMLWriterException

Performs the writing of a single object.

Parameters:
  `tagName` - the tag name for the generated xml element.
  `object` - the object to be written.
  `writer` - the writer.
  `mPlexAttribute` - the multiplexer selector attribute name.
  `mPlexValue` - the multiplexers attribute value corresponding to this object type.
Throws:
  `java.io.IOException` - if an IOError occured.
  `XMLWriterException` - if an XmlDefinition error occured.